PaymentVirtual Account

Update a virtual account application

PUT
/openapi/v1/wallet/virtual-account-requests/{requestNo}

Update the parameters of a virtual account application in PENDING status. Only unprocessed applications can be updated.

Notes

  • You can update only applications in PENDING status
  • Newly uploaded files overwrite the existing files
  • For files, the latest submission prevails. Resubmit all files with every submission

Authorization

bearerAuth
headerAuthorizationBearer <token>

The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.

Path Parameters

requestNo*string

Application number

Header Parameters

X-Channel-Provider?string

Provider identifier, such as GLDB. Defaults to GLDB if not passed

Default"GLDB"

Request Body

multipart/form-data
  1. body
accountName?string

Company name of the MSO customer. Length 128

currency?string

Multiple currencies are supported, separated by commas (for example, SGD,USD). Length 32

contactName?string

Emergency contact name. Length 64

contactEmail?string

Emergency contact email. Length 128

contactPhone?string

Emergency contact phone number in E.164 format (for example, +6591234567). Length 32

companyRegistrationDoc?unknown

Company registration document (for example, COI)

accountOpeningProof?unknown

MSO account opening proof (for example, an account opening letter)

otherDocuments?array<unknown>

Other supporting documents (for example, bank statements or identity documents)

Response Body

Update succeeded. data is null.

application/json
  1. response
code?integer

Business status code

message?string
traceId?string

Request trace ID. Provide it when you contact technical support

Example Request
curl -X PUT 'https://api.test.stabofx.com/openapi/v1/wallet/virtual-account-requests/SA0000000001' \  -F 'accountName=Example Trading Pte Ltd' \  -F 'currency=SGD,USD' \  -F 'contactName=Example Contact' \  -F 'contactEmail=contact@example.com' \  -F 'contactPhone=+6500000000' \  -F 'companyRegistrationDoc=<binary file data>' \  -F 'otherDocuments=<binary file data>'
Example Response
{  "code": 200,  "message": "OK",  "traceId": "6a3ae549-32dd-469a-a6b8-4e213c070930",  "data": null}